audio/py-mediafile - The NetBSD Packages Collection

Handles low-level interfacing for files' tags. Wraps Mutagen to

MediaFile is a simple interface to the metadata tags for many audio file
formats. It wraps Mutagen, a high-quality library for low-level tag
manipulation, with a high-level, format-independent interface for a common set
of tags.

MediaFile is part of the beets project. It was originally written by Adrian
Sampson and is now developed by the beets community.

Build dependencies

pkgtools/cwrappers devel/py-setuptools

Runtime dependencies

lang/py-six audio/py-mutagen lang/python39 lang/python39

Binary packages

OSArchitectureVersion
NetBSD 9.0aarch64py310-mediafile-0.8.1.tgz
NetBSD 9.0aarch64py36-mediafile-0.8.1.tgz
NetBSD 9.0aarch64py37-mediafile-0.8.1.tgz
NetBSD 9.0aarch64py38-mediafile-0.8.1.tgz
NetBSD 9.0aarch64py39-mediafile-0.8.1.tgz
NetBSD 9.0earmv6hfpy310-mediafile-0.8.1.tgz
NetBSD 9.0earmv6hfpy36-mediafile-0.8.1.tgz
NetBSD 9.0earmv6hfpy37-mediafile-0.8.1.tgz
NetBSD 9.0earmv6hfpy38-mediafile-0.8.1.tgz
NetBSD 9.0earmv6hfpy39-mediafile-0.8.1.tgz
NetBSD 9.0earmv7hfpy310-mediafile-0.8.1.tgz
NetBSD 9.0earmv7hfpy36-mediafile-0.8.1.tgz
NetBSD 9.0earmv7hfpy37-mediafile-0.8.1.tgz
NetBSD 9.0earmv7hfpy38-mediafile-0.8.1.tgz
NetBSD 9.0earmv7hfpy39-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py310-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py36-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py37-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py38-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py39-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py310-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py37-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py38-mediafile-0.8.1.tgz
NetBSD 9.0x86_64py39-mediafile-0.8.1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.